package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Channel;
import com.zhiwei.manage.bean.ServerBean;

public interface ServerDao {

	public void insert(ServerBean serverBean);

	public List<ServerBean> findDb(int pageNo, int pageSize, String dbName);

	public boolean update(ServerBean serverBean);

	public boolean delete(List<String> id);

	public void findPt(String pt);

	public List<Channel> findChannels();

	public List<Channel> findAllChannels(int pageNo, int pageSize);

	public void insertChannels(Channel channels);

	public boolean updateChannel(Channel channel);

	public boolean deleteChannel(List<String> id);

	public int findServerCount(String dbName);

	public int findChannelsCount();

	public List<Channel> findDisChannels();

	public List<String> findDisChan();
	
	public ServerBean findServerBean(String pt);

}
